-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlClassItem

Declaration :

- C++ : class UmlClassItem : public UmlBaseClassItem
- Java : abstract class UmlClassItem extends UmlBaseClassItem

Directly inherited by : UmlBaseClassMember UmlBaseExtraClassMember

This class globaly manages class's children including UmlClassExtraMember You can modify it as you want (except the constructor)

Artifact : UmlClassItem

Operation UmlClassItem

Declaration :

- C++ : public: UmlClassItem(void * id, const QCString & n) : UmlBaseClassItem(id, n)
- Java : public UmlClassItem(long id, String n)

All public operations :

apply , children , childrenVisible , cppDecl , defined_ , description , identifier_ , idlDecl , isMarked , isToolRunning , isWritable , javaDecl , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDecl , set_Description , set_IdlDecl , set_isMarked , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload